Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#11872 closed defect (wontfix)

mpd-full package isn't shown in menuconfig

Reported by: noltari@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: mpd-full, mpd Cc:

Description

Solution proposed by shogun77:
https://forum.openwrt.org/viewtopic.php?id=34791

In recent trunk versions there is no libffmpeg library. It is libffmpeg-mini or libffmpeg-full. In order to see mpd-full in the configuration menu, you have to edit the makefile (feeds/packages/sound/mpd/Makefile) and change

DEPENDS+= \

+AUDIO_SUPPORT:alsa-lib \
+libaudiofile +BUILD_PATENTED:libfaad2 +libffmpeg +libid3tag \
+libmms +libogg +libshout +libsndfile +libvorbis

with

DEPENDS+= \

+AUDIO_SUPPORT:alsa-lib \
+libaudiofile +BUILD_PATENTED:libfaad2 +libffmpeg-mini +libid3tag \
+libmms +libogg +libshout +libsndfile +libvorbis

Attachments (0)

Change History (2)

comment:1 Changed 6 years ago by jow

  • Resolution set to wontfix
  • Status changed from new to closed

The solution is invalid and the conclusion wrong. "libffmpeg" is a virtual package which is provided by either libffmpeg-mini, libffmpeg-full or libffmpeg-custom. As soon as one of these is selected, the dependency is satisfied and mpd will appear.

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.